Bug 107814 - Bebop Link.xsl outputs old style image for class=actionLink
Summary: Bebop Link.xsl outputs old style image for class=actionLink
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106481
TreeView+ depends on / blocked
 
Reported: 2003-10-23 10:41 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 20:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-23 10:41:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The bebop Link.xsl stylesheet is still generating links to /assets/arrow-box.gif
when the class attribute is set to 'actionLink'. Thus all applications using the
new styling have had to override the bebop Link.xsl template match rules to
reference /assets/action-generic.png instead. This results in huge amount of
duplicated code, wasting time & making consistency across applications harder 
to achieve.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add a link to a page
2. Set its class attribute to actionLink
3.
    

Actual Results:  It has old CMS style image

Expected Results:  It has new RH style images

Additional info:

Comment 1 Richard Li 2003-12-22 19:07:49 UTC
fix @39019


Note You need to log in before you can comment on or make changes to this bug.